import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useMemo } from "react";
import { Flex, Loader, Typography } from "@strapi/design-system";
// @ts-expect-error
import { IconsManifest } from "react-icons";
import useIconSet from "../hooks/useIconSet";
import IconButton from "./IconButton";
export default function IconCollection({ id, value, filter, withTitle, onChange, }) {
    const name = IconsManifest.find((manifest) => manifest.id === id)
        ?.name ?? "Unknown";
    const { loading, iconSet } = useIconSet(id);
    const filteredIconSet = useMemo(() => iconSet.filter(([key]) => key.toLowerCase().includes(filter)), [filter, iconSet]);
    return (_jsxs(Flex, { direction: "column", gap: 2, alignItems: "start", children: [withTitle && (_jsxs(Flex, { gap: 2, children: [_jsx(Typography, { fontWeight: "bold", children: name }), _jsxs(Typography, { children: ["(", filteredIconSet.length, "/", iconSet.length, ")"] })] })), _jsx(Flex, { gap: 2, wrap: "wrap", children: loading ? (_jsx(Loader, {})) : (filteredIconSet.map(([icon, Icon]) => (_jsx(IconButton, { label: icon, icon: _jsx(Icon, {}), size: "L", variant: value === icon ? "secondary" : "tertiary", onClick: () => onChange(icon) }, icon)))) })] }));
}
//# sourceMappingURL=IconCollection.js.map