import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from "react";
import { useIntl } from "react-intl";
import { Field, FieldLabel, FieldHint, FieldError, Loader, ModalLayout, ModalHeader, ModalBody, Searchbar, SearchForm, Stack, } from "@strapi/design-system";
import IconCollection from "./IconCollection";
import IconButton from "./IconButton";
import { useApi } from "../hooks/useApi";
import { useIcon } from "../hooks/useIcon";
import pluginId from '../../pluginId.json';
export default function Input({ name, value, error, description, intlLabel, required, onChange, }) {
    const { formatMessage } = useIntl();
    const [modal, setModal] = useState(false);
    const [filter, setFilter] = useState("");
    const config = useApi(`/${pluginId}`);
    const SelectedIcon = useIcon(value);
    const iconSets = config.data?.pack ?? ["lu"];
    function handleChange(value) {
        onChange({ target: { type: "string", name, value } });
        setModal(false);
    }
    return (_jsxs(_Fragment, { children: [_jsx(Field, { name: name, id: name, error: error, hint: description && formatMessage(description), children: _jsxs(Stack, { spacing: 2, children: [_jsx(FieldLabel, { required: required, children: formatMessage(intlLabel) }), _jsx(Stack, { horizontal: true, spacing: 2, children: _jsx(IconButton, { label: value ?? "", icon: _jsx(SelectedIcon, {}), onClick: () => setModal(true) }) }), _jsx(FieldHint, {}), _jsx(FieldError, {})] }) }), modal && (_jsxs(ModalLayout, { onClose: () => setModal(false), children: [_jsx(ModalHeader, { children: _jsx(SearchForm, { children: _jsx(Searchbar, { onClear: () => setFilter(""), value: filter, onChange: (e) => setFilter(e.target.value) }) }) }), _jsx(ModalBody, { style: { height: "100vh" }, children: config.loading ? (_jsx(Loader, {})) : (iconSets.map((id) => (_jsx(IconCollection, { id: id, value: value, filter: filter, withTitle: iconSets.length > 1, onChange: handleChange }, id)))) })] }))] }));
}
//# sourceMappingURL=Input.js.map