import { Fragment, useEffect, useState } from "react";
async function loadIcon(iconId) {
    if (!iconId)
        return Fragment;
    const chunks = iconId.split(/(?=[A-Z])/);
    if (chunks.length === 0)
        return Fragment;
    const iconSetId = chunks[0].toLowerCase();
    const mod = await import(
    /* webpackMode: "lazy" */ `react-icons/${iconSetId}/index.js`);
    return mod[iconId] ?? Fragment;
}
export function useIcon(iconId) {
    // @ts-expect-error
    const [icon, setIcon] = useState(() => Fragment);
    useEffect(() => {
        loadIcon(iconId).then((val) => setIcon(() => val));
    }, [iconId]);
    return icon;
}
//# sourceMappingURL=useIcon.js.map