import { useEffect, useState } from "react";
async function loadIcons(iconSetId) {
    const { default: mod, ...rest } = await import(
    /* webpackMode: "lazy" */
    `react-icons/${iconSetId}/index.js`);
    return Object.entries(rest);
}
export default function useIconSet(id) {
    const [loading, setLoading] = useState(true);
    const [iconSet, setIconSet] = useState([]);
    useEffect(() => {
        loadIcons(id)
            .then((val) => setIconSet(val))
            .finally(() => setLoading(false));
    }, [id]);
    return { loading, iconSet };
}
//# sourceMappingURL=useIconSet.js.map